YUM is an open-source command-line package-management utility for RPM-compatible Linux operating systems.

learn more… | top users | synonyms

0
votes
1answer
11 views

grubby fatal error: unable to find a suitable template

I'm trying to fix my system after moving it from one server to another. It works perfectly with kernel booted via network, but not from the disk. Reinstalling stock CentOS 6.6 kernel shows this ...
17
votes
6answers
58k views

What is the value of JAVA_HOME for CentOS?

I have install java through yum on CentOS, however another java programme needs to know what the JAVA_HOME environmental variable is. I know all about setting environmental variables, but what do I ...
0
votes
0answers
16 views

Lost network connectivity after a “yum -y update”

I've a server on Centos 6.5 and after a yum -y update we've lost all connectivity on it, the only access we have is on shell thru SolusVM serial console, I've tried everything (SFTP, SCP) on my reach ...
0
votes
1answer
28 views

How to tell what is blocking internet (download) on cloud server

Background: My employer is using a cloud-based database server through a service called Rackspace. This server is accessed by our other servers via ssh. Our network admins are unreachable for the next ...
1
vote
1answer
1k views

Yum install error (mysql-devel) depsolve

I get the following error on yum install mysql-devel. Can anyone help? I dont have this in my /etc/yum.conf exclude list. --> Finished Dependency Resolution mysql-server-5.0.45-7.el5.x86_64 from ...
10
votes
3answers
13k views

EPEL Repo for CentOS 6 causing error

I've got a VM running CentOS 6 (64bit) and I'm attempting to add the EPEL repo like usual to install various packages as I do quite regularly. Today, I'm experiencing some strange errors yet I'm ...
0
votes
1answer
2k views

Elastix Upgrade fails CentOS yum missing dependency with libwat, libgsmat, and libss7

I upgraded a year old vanilla Elastix box using yum update and yum upgrade. Almost 400 packages updated but a few of them failed, including asterisk. At present the switchboard is working but I can't ...
0
votes
2answers
2k views

How to install MariaDB rpms in CentOS 6.4 using rpm (not yum cmd) + handling mysql-libs conflicts

I need to script the install of MariaDB using the rpm command in CentOS 6.4. I can't use yum since it's going to be an offline install so there's no access to the repository. The only MySQL package ...
0
votes
1answer
1k views

Unable to install phpMyAdmin via yum (remi)

I'm trying to install phpMyAdmin via remi and it seems like it's missing php-php-gettext: # yum --enablerepo=remi install phpMyAdmin Loaded plugins: amazon-id, rhui-lb Resolving Dependencies --> ...
0
votes
0answers
106 views

Server load spikes after yum update and Laravel installation [closed]

The Platform: Centos 6.3 PHP 5.4.30 Apache 2.2.15 mysql Ver 14.14 Distrib 5.5.37, for Linux (x86_64) using readline 5.1 4 CPUs 12 GB RAM 1TB Hard Disk Prefork Settings for Apache <IfModule ...
0
votes
0answers
21 views

How can I exclude packages with yum-cron on CentOS7?

On earlier versions of CentOS, and assuming RHEL, you could exclude packages by adding the packages to skip to /etc/sysconfig/yum-cron . Putting several newer servers into use now, and I can't find ...
1
vote
4answers
5k views

yum not working on EC2 Red Hat instance: Cannot retrieve repository metadata

For some reason yum has stopped working in my Amazon EC2 instance, located in the EU West sector. There seems to be something wrong with the path of the repo metadata, is this correct? I would be very ...
0
votes
1answer
924 views

Installing mysql-devel to match MySQL version

I'm running MySQL 5.1.52 on CentOS 4.6 and I'm trying to install mysql-devel to match my MySQL version. If I do yum install mysql-devel it wants to upgrade MySQL to 5.1.58, yet if I do yum search ...
0
votes
1answer
988 views

RHEL 6.6: [Errno 14] PYCURL ERROR 22 - “The requested URL returned error: 403 Forbidden”

First of all, it's the first time I setup RHEL machines, I'm more used to Debian. We're installing many machine at the same time. We've upgraded from RHEL 6.3 to RHEL 6.6 and we're now trying to ...
-2
votes
0answers
79 views

All yum command broken for centos 7

[root@buf ~]# yum update Loaded plugins: fastestmirror, langpacks Could not retrieve mirrorlist http://mirrorlist.centos.org/?release=7&arch=x86_64&repo=os&infra=stock error was 14: ...
0
votes
0answers
45 views

CentOS 6: Apache 2.4 drop-in replacement for Apache 2.2 via yum?

I've a CentOS 6.6 installation with the stock Apache 2.2 package. I need to upgrade it to Apache 2.4, but I want a true drop-in replacement for the installed package, not something that goes into /opt ...
0
votes
1answer
57 views

PHP dependancy issue after upgrading to PHP 5.6.5

I'm trying to install Laravel, this required me to upgrade to php 5.6.5. This was a success and php is running fine, but im having 2 dependency issues when i try to install other packages that laravel ...
8
votes
6answers
6k views

Yum doesn't install latest version of Git on Centos6

When I go to Gits download section it mentions that latest version is 1.8 and I can install it by yum install git on Fedora. I'm running CentOS6 so that command should also work for me, but yum tells ...
0
votes
1answer
163 views

“yum groupinstall” i686 packages on x64?

I'm working on enabling x64 host build workers to build i686 RPMs, now that AWS EC2 (which we use to run build workers) is deprecating i386 nodes like m1.medium in favour of x64-only instance types ...
-1
votes
0answers
20 views

Unable to install yum-plugin-priorities on rhel 6

I'm trying to install yum-plugin-priorities on redhat 6 but I'm getting the error "Nothing to do". If you can guide what to do, it'll be greatly appreciated. Thank you.
4
votes
3answers
388 views

Atomic repository…in english please [closed]

Simple question, hopefully a simple answer: I am new to Linux servers, and my hosting company offered me a tip to: You may want to add the Plesk repository provided by Atomic Turtle. I know ...
0
votes
2answers
7k views

How to fix “Cannot retrieve repository metadata (repomd.xml)” in CentOS?

I've tried yum update yum and yum clean all, but neither help to resolve the following problem: # yum install httpd --installroot=/opt/httpd2 Loaded plugins: fastestmirror Loading mirror speeds from ...
-1
votes
2answers
133 views

Unable to install or update using yum

When trying to install or update anything in yum, I get a list of requires, removing and obsoleted by: Loaded plugins: downloadonly, fastestmirror Setting up Update Process Determining fastest ...
1
vote
2answers
2k views

Install Tomcat7 on EC2

I'm trying to install Tomcat7 on an Amazon EC2 instance, but it doesn't work. Below is the console output: [ec2-user@ip-XXX ~]$ sudo yum install tomcat7 Loaded plugins: amazon-id, rhui-lb, security ...
0
votes
1answer
32 views

yum Cannot open: oracle-instantclient11.2-basic-11.2.0.4.0-1.x86_64.rpm. Skipping

I am following this article on installing the oracle client RPMs on a CentOs 6.x server using yum localinstall.for some reason yum cannot open the RPMs - and I am at a loss as to what the next step ...
0
votes
2answers
84 views

Centos yum resync installed packages

I am in a strange situation. I have a web server machine with CentOS release 6.6 (Final) installed with nginx, mysql, ISPConfig and Webmin which is working smoothly. Recently I noticed when using ...
0
votes
1answer
81 views

Error while installing php-imap on CentOS 6.6

I'm trying to install php-imap on CentOS 6.6 yum install php-imap But I'm getting this error: Error: Package: php-common-5.3.29-4.w5.x86_64 (webtatic) Requires: libcurl.so.3()(64bit) ...
0
votes
1answer
34 views

signing yum repository doesn't help passing the gpg check upon 'yum install'

I've created yum repository, to which I've uploaded an unsigned rpm file. I've indexed and signed the repo itself, by creating a repodata directory with the following files: filelists.xml.gz, ...
1
vote
1answer
126 views

Ordering RPM virtual packages

I have following packages, built by my RPM spec: libevent backend %package -n libfoo-libevent Summary: libevent backend for FOO Provides: libfoo-backend Requires: libevent >= 1.4 libev backend ...
1
vote
1answer
887 views

Yum repo priorities and conflicts

On my CentOS 6.4 server, I am running MySQL 5.5.33 that I installed from the remi repository. I decided to upgrade MySQL to 5.6.x via MySQL's own yum repositories: ...
1
vote
2answers
27 views

Yum the same version as in a repository (automatic upgrades/downgrades)

In our infrastrcture, we have servers installed and managed by puppet. All our software is then installed from rpm. On each server is a small script that performs yum update if there is some change in ...
0
votes
1answer
4k views

CentOS 6 Httpd failed to start

I am using CentOS 6.5. The Apache HTTP server (httpd) is dead for an unknown reason. I cannot visit http://localhost/ anymore. When I tried to restart httpd, it failed (Error message shown below). ...
0
votes
1answer
3k views

ERROR with rpm_check_debug vs depsolve

Transaction Summary ========================================================================================================================================================== Install 9 ...
0
votes
2answers
438 views

Yum problems with easy apache - The server’s system package manager, ‘YUM’, failed.?

I keep getting the following error on easy appache !! The server’s system package manager, ‘YUM’, failed. ! !! This is the command that failed: yum -y install gettext automake19 libstdc++.x86_64 ...
2
votes
1answer
268 views

Enable the EPEL repository on AWS Elastic Beanstalk

I need to install some tools from the Extra Packages for Enterprise Linux repository (EPEL) that are not available in the default repositories of the Amazon Linux AMI. /etc/yum.repos.d/epel.repo ...
16
votes
4answers
24k views

Upgrade Subversion 1.6 to 1.7 on CentOS? (can't find yum repository)

I want to upgrade my SVN Server from 1.6 to 1.7. Unfortunately I can't find anything on the internet how to do this with yum. I have checked rpmforge-extras but it has only svn 1.6 and not 1.7 I ...
0
votes
0answers
22 views

RHEL6 yum 'ascii' codec can't decode

I went to upgrade my RHEL5 to RHEL6, without problem. I've got just a little cosmetic warning as : # yum update Modules complémentaires chargés : product-id, security, subscription-manager 'ascii' ...
0
votes
2answers
142 views

Yum: No package mysql-server available in Cent OS 7

I just installed Apache on my new Digital Ocean Cent OS 7 x64 server. When following Digital Ocean's tutorial, yum cannot install mysql-server. # yum install mysql mysql-server mysql-libs ...
0
votes
0answers
11 views

upgrading Apache web server within 2.2 family on Linux centos [duplicate]

Please excuse me if this is the 900th variation of the same question, but I am relatively green at this and having trouble sourcing correct information currently, latest version of Apache Web Servers ...
0
votes
1answer
196 views

yum dependency conflicts already installed package

I want to install php 5.6 from the webtatic repo: yum install php56w php56w-opcache php56w-mysql php56w-mcrypt php56w-pdo php56w-xml One of the dependencies is httpd: Installing for ...
2
votes
2answers
437 views

Puppet package installation on Linux/CentOS

I am new to Puppet - I have been playing around learning the basics. Most of the examples ( except the very basic ones ) that are on the puppet page do not work for me - either some dependency is ...
6
votes
3answers
10k views

Why are outdated packages installed by yum on CentOS? (specifically PHP 5.1) How to fix?

I'm working on a fresh CentOS server and am extremely annoyed to find out that yum does not work as smoothly and brilliantly as "apt-get install" does on Ubuntu. Installing a LAMP stack, I ran the ...
0
votes
1answer
220 views

Installing SOX on EC2 server?

I could use some help getting SOX installed on an EC2 server. My EC2 server is completely "vanilla" and is using the Amazon Linux AMI (3.4.37-40.44.amzn1.x86_64). Most of the SOX installation ...
0
votes
4answers
1k views

Why won't yum install updates?

I am getting errors, I think with coreutils, where yum won't update. Here is a stripped down output from what I see when I run yum update: Resolving Dependencies There are unfinished transactions ...
0
votes
0answers
21 views

Automatic updates recommended in CentOS 6/7? [duplicate]

I know there are several ways to automatically update the CentOS 6/7 system via yum. My question: Are automatic scheduled updates recommended to use in CentOS? If yes, which way is the best? Florian ...
-2
votes
5answers
1k views

cannot use any yum command: no space left on device

if i use any yum command, i get Loaded plugins: fastestmirror Traceback (most recent call last): File "/usr/bin/yum", line 29, in <module> yummain.user_main(sys.argv[1:], exit_code=True) ...
-2
votes
1answer
213 views

YUM Update Error

I am receiving the following errors when running yum update. I began receiving these errors after I had installed the incorrect EPEL package (epel-release-6-8.noarch). I have since removed and ...
1
vote
1answer
282 views

RedHat: Can't install package GNOME Desktop Environment

I installed the package GNOME Desktop Environment on my machine running Red Hat version 6.4. more /etc/redhat-release Red Hat Enterprise Linux Server release 6.4 (Santiago) At the end of the ...
0
votes
1answer
299 views

yum dependancy error - looking for the wrong version of php-mysql

So I was trying to upgrade from MariaDB 5.5 to 10.0. (which is essentially MySQL fork) The installation instructions say to yum remove mariadb-server mariadb-common mariadb-compat then re-install ...
2
votes
2answers
205 views

Find (un)used packages on CentOS/Fedora?

In short: From all the (rpm) packages installed I would like to identify the ones unused (for example since the last 6 months). In long: I have number of machines with a respectable service record. ...